# $Revision: 1.16 $, $Date: 2006/01/17 15:00:17 $
Summary:	X509/LDAP certificate and revocation list client
Summary(pl):	Klient certyfikatw i list anulujcych X509/LDAP
Name:		dirmngr
Version:	0.9.3
Release:	2
License:	GPL
Group:		Applications
Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/dirmngr/%{name}-%{version}.tar.bz2
# Source0-md5:	54df92f0548918af89c8c7dcca2d1911
Patch0:		%{name}-info.patch
BuildRequires:	automake
BuildRequires:	libassuan-devel >= 1:0.6.8
BuildRequires:	libgcrypt-devel >= 1.1.94
BuildRequires:	libgpg-error-devel >= 0.7
BuildRequires:	libksba-devel >= 0.9.11
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	pth-devel >= 1.3.7
BuildRequires:	texinfo
Requires:	libassuan >= 1:0.6.8
Requires:	libgpg-error >= 0.7
Requires:	libksba >= 0.9.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DirMngr is a client for managing and downloading certificate
revocation lists (CRLs) for X509 certificates and for downloading the
certificates themselves. DirMngr is usually invoked by gpgsm and in
general not used directly.

%description -l pl
DirMngr to klient do zarzdzania i pobierania list anulujcych
certyfikaty (CRLs - certificate revocation lists) dla certyfikatw
X509 oraz do pobierania samych certyfikatw. DirMngr jest zwykle
wywoywany przez gpgsm i nie uywany bezporednio.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure \
	--with-ldap=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README*
%attr(755,root,root) %{_bindir}/dirmngr
%attr(755,root,root) %{_bindir}/dirmngr-client
%attr(755,root,root) %{_libexecdir}/dirmngr_ldap
%{_infodir}/dirmngr.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dirmngr.spec,v $
Revision 1.16  2006/01/17 15:00:17  baggins
- release 2
- BR openldap 2.3

Revision 1.15  2005/10/28 18:36:53  qboosh
- updated to 0.9.3

Revision 1.14  2005/04/23 15:35:15  qboosh
- updated to 0.9.2

Revision 1.13  2005/02/28 07:09:41  qboosh
- updated to 0.9.1, updated info patch

Revision 1.12  2005/01/03 16:17:00  qboosh
- updated to 0.9.0, updated info patch

Revision 1.11  2004/10/30 17:47:20  qboosh
- updated to 0.5.6

Revision 1.10  2004/05/18 22:46:13  qboosh
- updated to 0.5.5

Revision 1.9  2004/04/18 18:20:44  qboosh
- fixed build on amd64, release 2

Revision 1.8  2004/04/18 12:57:39  qboosh
- updated BRs, refresh config.sub

Revision 1.7  2004/04/17 21:31:19  qboosh
- updated to 0.5.3, updated info patch

Revision 1.6  2004/03/08 23:38:06  qboosh
- updated to 0.5.2

Revision 1.5  2003/12/24 12:26:01  qboosh
- added libassuan epoch

Revision 1.4  2003/12/24 12:21:51  qboosh
- updated to 0.5.1, removed obsolete db4 patch (cut-down tinycdb is used now)

Revision 1.3  2003/11/17 20:14:36  qboosh
- fixed Source0 URL

Revision 1.2  2003/11/17 19:19:22  qboosh
- updated to 0.5.0, updated db4 patch

Revision 1.1  2003/07/26 12:03:59  qboosh
- new, patched for db 4.1 and standard info directory
